2020-10-26 20:22 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003262CJInTheUSA[All Projects] Generalpublic2015-07-16 14:48
Reporterretrogamer 
Assigned ToStingRayProject InfoCJ in the USA (Code Masters/Genesis)
http://www.whdload.de/games/CJInTheUSA.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003262: Adress error message when using 68000 cpu a working quitkey for 68000 would be
DescriptionGameVersion: english,pal,1disks
SlaveVersion: 1.0 from 20.05.2001

Adress error message when using 68000 cpu a working quitkey for 68000 would be nice too.
I can send you the whdload core dump.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.1
importedyes
Attached Files
  • ? file icon cj in usa register (2,986 bytes) 2015-07-15 21:40 -
    ************************* 01-Jan-78 00:52:15 ************************18.1.5717***
    Slave='CJInTheUSA.slave' (420 bytes)
    ShadowMem   4A35D0 -   51A5D0 ( 487424) AbsolutMem    77000 -    80000 (  36864)
    Resload     491010 -   497644 (  26164) at 491010  GL=$49B6F8
    Slave       388DD0 -   388F50 (    384) at 388DD0  BaseMemSize=$80000
    attn=200(UAE,00) fc=-1 kn=20421 cs=50F2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Address Error" ($F00C) PC = $F076 Read from $1D27D
    
    $0000f05a mulu         a4,d6
    $0000f05c mulu         a4,d6
    $0000f05e mulu         a4,d6
    $0000f060 mulu         a4,d6
    $0000f062 mulu         a4,d6
    $0000f064 mulu         a4,d6
    $0000f066 mulu         a4,d6
    $0000f068 mulu         a4,d6
    $0000f06a mulu         a4,d6
    $0000f06c mulu         a4,d6
    $0000f06e mulu         a4,d6
    $0000f070 mulu         a4,d6
    $0000f072 mulu         a4,d6
    $0000f074 mulu         (a0)+,d6                       ;$0001d27d
    1m$0000f076 dbf          d0,$f074
    22m$0000f07a rts
    $0000f07c cmpi.l       #$494d5021,(a0)                ;$0001d27d
    $0000f082 bne.b        $f0b8
    $0000f084 jmp          ($388f36)
    $0000f08a move.l       a1,a4
    $0000f08c move.l       a1,a5
    $0000f08e tst.l        (a0)+                          ;$0001d27d
    $0000f090 adda.l       (a0)+,a4                       ;$0001d27d
    $0000f092 adda.l       (a0)+,a3                       ;$0001d27d
    $0000f094 move.l       a3,a2
    $0000f096 move.l       (a2)+,-(a0)                    ;$00001000 $0001d27d
    $0000f098 move.l       (a2)+,-(a0)                    ;$00001000 $0001d27d
    $0000f09a move.l       (a2)+,-(a0)                    ;$00001000 $0001d27d
    $0000f09c move.l       (a2)+,d2                       ;$00001000
    
    exception stackframe:
    $0007FFEE CCD50001 D27DCCD8 27080000 F076
    regular stack:
    $0007FFFC 00388E7C
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx FFFF1F8A  D1D1D1D1  D2D2D2D2  D3D3D3D3  D4D4D4D4  D5D5D5D5  D6D6D6D6  D7D7D7D7
    Ax    1D27D      F075      1000  A3A3A3A3  A4A4A4A4  A5A5A5A5    DFF000
    
                     TTSM III   XNZVC
    PC=    F07622m  SR %0010011100001000  USP=7FC00  1mSSP=7FFEE
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%000000000000000022m dmacon=%1m0010000000000000 adkcon=$1100
    intreq=%0000000000100000
    vposr....A000  vhposr...0446  joy0dat..0101  joy1dat..0000  clxdat...8000  
    pot0dat..1A00  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...FFFF  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m0000011122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000016  icr=00  sdr=00    event=001AE6  icr=00  sdr=00
    
    ? file icon cj in usa register (2,986 bytes) 2015-07-15 21:40 +

-Relationships
+Relationships

-Notes

note ~0004611

StingRay (developer)

Fixed in v1.2 of the patch which also has a few extra options.
+Notes

-Issue History
Date Modified Username Field Change
2015-07-15 21:33 administrator New Issue
2015-07-15 21:40 retrogamer File Added: cj in usa register
2015-07-16 14:48 StingRay Note Added: 0004611
2015-07-16 14:48 StingRay Status new => resolved
2015-07-16 14:48 StingRay Resolution open => fixed
2015-07-16 14:48 StingRay Assigned To => StingRay
+Issue History